import java.util.*;
class Iterate {
    public static void main(String[] args) {
        // Wyliczenie tablicy argumentów wiersza poleceń
        for(int i = 0; i < args.length; ++i)
            System.out.println(args[i]);
        // Utworzenie powiązanej listy
        LinkedList list = new LinkedList();
        list.add("Jaś i Małgosia");
        list.add("Ala ma kota");
        // Enumerate the list
        ListIterator it = list.listIterator(0);
        while (it.hasNext())
            System.out.println(it.next());
    }
}
